import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/latest_news_detail_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/latest_news_detail_entity.g.dart';

@JsonSerializable()
class LatestNewsDetailEntity {
	String? id;
	int type = 0;
	String? title;
	@JSONField(name: "cover_image")
	String? coverImage;
	String? content;
	@JSONField(name: "created_at")
	String? createdAt;

	LatestNewsDetailEntity();

	factory LatestNewsDetailEntity.fromJson(Map<String, dynamic> json) => $LatestNewsDetailEntityFromJson(json);

	Map<String, dynamic> toJson() => $LatestNewsDetailEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}